Admin APIRegions
Update a Region
Update a region's details.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
The region's ID.
Query Parameters
fields?string
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
Request Body
application/json
name?string
The region's name.
currency_code?string
The region's currency code.
countries?array<countries>
The region's countries.
automatic_taxes?boolean
Whether taxes are calculated automatically for carts in the region.
payment_providers?array<payment_providers>
The payment providers enabled in the region.
metadata?object
The region's metadata. Can hold custom key-value pairs.
is_tax_inclusive?boolean
Whether the prices in the region are tax inclusive.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/regions/string" \ -H "Content-Type: application/json" \ -d '{}'{
"region": {
"id": "string",
"name": "string",
"currency_code": "usd",
"automatic_taxes": true,
"countries": [
{
"id": "string",
"iso_2": "us",
"iso_3": "usa",
"num_code": 840,
"name": "string",
"display_name": "string"
}
],
"payment_providers": [
{
"id": "string",
"is_enabled": true
}
],
"metadata": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}